#!/usr/bin/perl

use strict;
use warnings;

#############################################
# change the values of $dbfile to the absolute path to your
# own database file and do the same for $dbcommand to the
# absolute path to your sqlite3 executable
#
# ALSO!  Be sure to change the path variables in the
# monstermangler.tf script and verify the correct
# path to sqlite3 in the 'sqlite' shell script

my $dbfile="/home/hair/tf-dir/monstermangler.db";
my $dbcommand="/usr/bin/sqlite3";

print ("Creating blank database: $dbfile\n");
system ("touch $dbfile");
print ("Creating empty tables...\n");
my $sql="\"create table MOBS(ID INTEGER PRIMARY KEY AUTOINCREMENT,NAME CHAR(100) NOT NULL,LEXP INTEGER,HEXP INTEGER,NOTES TEXT);\"";
system ("$dbcommand $dbfile $sql");
my $sql="\"create index MOBINDEX on MOBS (NAME)\";";
system ("$dbcommand $dbfile $sql");
print ("\nDatabase initialization complete\n");
print ("Please run the 'mmport.pl' script if you wish to import kill data\nfrom log files.\n");

